Loading...
Searching...
No Matches
Magick::sigmoidalContrastImage Class Reference

## Public Member Functions

| sigmoidalContrastImage (const size_t sharpen_, const double contrast, const double midpoint=(double) QuantumRange/2.0)
void | operator() (Image &image_) const

## Private Attributes

size_t | _sharpen
double | contrast
double | midpoint

## Detailed Description

Definition at line 1733 of file STL.h.

## Field Documentation

## _sharpen

size_t Magick::sigmoidalContrastImage::_sharpen

private

Definition at line 1743 of file STL.h.

## contrast

double Magick::sigmoidalContrastImage::contrast

private

Definition at line 1744 of file STL.h.

## midpoint

double Magick::sigmoidalContrastImage::midpoint

private

Definition at line 1745 of file STL.h.

The documentation for this class was generated from the following file:

- STL.h